Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.fee.v07
Class EPPFeeDomain

    java.lang.Object
      com.verisign.epp.codec.fee.v07.EPPFeeDomain

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPFeeDomain

extends java.lang.Object
implements EPPCodecComponent

`EPPFeeDomain` represents a domain to check for the fee using the `EPPFeeCheck` extension.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPFeeDomain`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPFeeDomain`.

Constructor Summary
`EPPFeeDomain()` Default constructor for `EPPFeeDomain`.
`EPPFeeDomain(java.lang.String aName, EPPFeeCommand aCommand)` Constructor for `EPPFeeDomain` that takes the required name and command parameters.
`EPPFeeDomain(java.lang.String aName, java.lang.String aCurrency, EPPFeeCommand aCommand, EPPFeePeriod aPeriod)` Constructor for `EPPFeeDomain` that takes all attributes.

Method Summary
`java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode a DOM element tree to initialize the instance attributes.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode instance into a DOM element tree.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPFeeDomain` with this instance.
`EPPFeeCommand` | `getCommand()` Gets the command value.
`java.lang.String` | `getCurrency()` Gets the currency value.
`java.lang.String` | `getName()` Gets the name value.
`EPPFeePeriod` | `getPeriod()` Gets the period value.
`boolean` | `hasCurrency()` Is the currency defined?
`boolean` | `hasPeriod()` Is the period defined?
`void` | `setCommand(EPPFeeCommand aCommand)` Sets the command value.
`void` | `setCurrency(java.lang.String aCurrency)` Sets the currency value.
`void` | `setName(java.lang.String aName)` Sets the name value.
`void` | `setPeriod(EPPFeePeriod aPeriod)` Sets the period value.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPFeeDomain`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPFeeDomain`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPFeeDomain

    public EPPFeeDomain()

  Default constructor for `EPPFeeDomain`.

### EPPFeeDomain

    public EPPFeeDomain(java.lang.String aName,
                        EPPFeeCommand aCommand)

  Constructor for `EPPFeeDomain` that takes the required name and command parameters.

  Parameters:
    `aName` - Domain Name to check
    `aCommand` - Command to check

### EPPFeeDomain

    public EPPFeeDomain(java.lang.String aName,
                        java.lang.String aCurrency,
                        EPPFeeCommand aCommand,
                        EPPFeePeriod aPeriod)

  Constructor for `EPPFeeDomain` that takes all attributes.

  Parameters:
    `aName` - Domain Name to check
    `aCurrency` - desired currency to return
    `aCommand` - Command to check
    `aPeriod` - Registration period to check

Method Detail

### getName

    public java.lang.String getName()

  Gets the name value.

  Returns:
    Name value if defined; `null` otherwise.

### setName

    public void setName(java.lang.String aName)

  Sets the name value.

  Parameters:
    `aName` - Name value

### hasCurrency

    public boolean hasCurrency()

  Is the currency defined?

  Returns:
    `true` if the currency is defined; `false` otherwise.

### getCurrency

    public java.lang.String getCurrency()

  Gets the currency value.

  Returns:
    Currency if defined; `null` otherwise.

### setCurrency

    public void setCurrency(java.lang.String aCurrency)

  Sets the currency value.

  Parameters:
    `aCurrency` - Currency value

### getCommand

    public EPPFeeCommand getCommand()

  Gets the command value.

  Returns:
    Command value if defined; `null` otherwise.

### setCommand

    public void setCommand(EPPFeeCommand aCommand)

  Sets the command value.

  Parameters:
    `aCommand` - Command value

### hasPeriod

    public boolean hasPeriod()

  Is the period defined?

  Returns:
    `true` if the period is defined; `false` otherwise.

### getPeriod

    public EPPFeePeriod getPeriod()

  Gets the period value.

  Returns:
    Period if defined; `null` otherwise.

### setPeriod

    public void setPeriod(EPPFeePeriod aPeriod)

  Sets the period value.

  Parameters:
    `aPeriod` - Period value

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document, which acts is an Element factory
  Returns:
    Element Root element associated with the object
  Throws:
    `EPPEncodeException` - Error encoding `EPPFeeDomain`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - `Element` to decode
  Throws:
    `EPPDecodeException` - Error decoding `Element`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  clone an `EPPCodecComponent`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPFeeDomain`.
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPFeeDomain` with this instance.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if equal; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.